Bug 35377 - Add UCS version string to changelog before building d-i
Add UCS version string to changelog before building d-i
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Sönke Schwardt-Krummrich
Felix Botner
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-15 17:55 CEST by Sönke Schwardt-Krummrich
Modified: 2014-11-26 06:55 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2014-07-15 17:55:22 CEST
The version number of the d-i should contain a UCS version string (PKGVERSION.BUILDNUMBER.TIMESTAMP).
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2014-07-16 12:46:04 CEST
build-cd-ucs4 has been updated. Package repo-ng is currently built by dimma.
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2014-08-26 10:43:24 CEST
When building the d-i, the result tgz is copied and renamed to
/var/univention/buildsystem2/apt/ucs_4.0-0/dists/ucs400/main
by build-cd-ucs4. The target tgz filename contains a build timestamp.
Comment 3 Felix Botner univentionstaff 2014-08-26 10:45:08 CEST
OK - debian-installer-images_20130613.77.20140826094930_amd64.tar.gz
OK - Changelog
Comment 4 Stefan Gohmann univentionstaff 2014-11-26 06:55:28 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".